Bug 458238 - Review Request: ibus - An input bus for Linux.
Review Request: ibus - An input bus for Linux.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 03:09 EDT by Peng Huang
Modified: 2009-01-21 23:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 04:33:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2008-08-07 03:09:45 EDT
Spec URL:  http://ibus.googlecode.com/files/ibus.spec
SRPM URL:  http://ibus.googlecode.com/files/ibus-0.1.0.20080807-1.fc9.src.rpm
Description: ibus (Input Bus) is a new input method framework.
Comment 1 Parag AN(पराग) 2008-08-07 03:34:21 EDT
1)you don't need following line in SPEC
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

2) unable to verify source with URL
  Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Comment 2 Peng Huang 2008-08-07 03:50:14 EDT
Just updated ibus.spec file. 
1)
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from
distutils.sysconfig import get_python_lib; print get_python_lib(1)")} has been removed.
2)
I will upload the tarball later.
Comment 3 Peng Huang 2008-08-08 00:08:00 EDT
Hi Parag,
spec & src.rpm has been updated. Please review it again. thanks.
Comment 4 Parag AN(पराग) 2008-08-08 00:53:52 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=765922
+ rpmlint is NOT silent for SRPM and for RPM.
ibus.i386: W: conffile-without-noreplace-flag /etc/X11/xinit/xinput.d/ibus.conf
==> Ok to accept.
+ source files match upstream url
48b73b6bfe056fa677ca57361149fa83  ibus-0.1.0.20080807.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ update-gtk-immodules scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop files installed correctly.
+ Package  ibus-0.1.0.20080807-1.fc10 =>
Provides:
 config(ibus) = 0.1.0.20080807-1.fc10
 libibus-gtk.so.0
Requires:
 /bin/sh
 /usr/bin/env
 libX11.so.6
 libatk-1.0.so.0
 libc.so.6
 libc.so.6(GLIBC_2.0)
 libc.so.6(GLIBC_2.1.3)
 libc.so.6(GLIBC_2.3.4)
 libc.so.6(GLIBC_2.4)
 libcairo.so.2
 libdbus-1.so.3
 libdbus-glib-1.so.2
 libfontconfig.so.1
 libfreetype.so.6
 libgdk-x11-2.0.so.0
 libgdk_pixbuf-2.0.so.0
 libgio-2.0.so.0
 libglib-2.0.so.0
 libgmodule-2.0.so.0
 libgobject-2.0.so.0
 libgtk-x11-2.0.so.0
 libibus-gtk.so.0 libpango-1.0.so.0 libpangocairo-1.0.so.0 libpangoft2-1.0.so.0 python(abi) = 2.5 rtld(GNU_HASH)

+ Package ibus-gtk-0.1.0.20080807-1.fc10 =>
  Provides: im-ibus.so
  Requires: libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.1.3) libcairo.so.2 libdbus-1.so.3 libdbus-glib-1.so.2 libfontconfig.so.1 libfreetype.so.6 libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libgio-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0 libgtk-x11-2.0.so.0 libibus-gtk.so.0 libpango-1.0.so.0 libpangocairo-1.0.so.0 libpangoft2-1.0.so.0 rtld(GNU_HASH)

+ Package ibus-qt-0.1.0.20080807-1.fc10 =>
Provides: libibus.so
Requires: libQtCore.so.4 libQtDBus.so.4 libQtGui.so.4 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4) libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libm.so.6 libpthread.so.0 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)

APPROVED.
Comment 5 Peng Huang 2008-08-08 01:01:59 EDT
New Package CVS Request
=======================
Package Name: ibus
Short Description: the Input Bus for Linux OS
Owners: phuang@redhat.com
Branches: F-9
InitialCC: phuang@redhat.com
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-08-09 21:26:07 EDT
cvs done.
Comment 7 Peng Huang 2008-08-10 14:15:03 EDT
It has been built in koji.
Comment 8 Peng Huang 2008-08-13 00:52:04 EDT
New Package CVS Request
=======================
Package Name: ibus
Short Description: the Input Bus for Linux OS
Owners: phuang@redhat.com
Branches: EPEL-5
InitialCC: phuang@redhat.com
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-08-13 01:05:49 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.